Subject: Re: [Bugme-new] [Bug 11649] New: Network don't work with SiS 900 PCI Fast Ethernet. Mainly, I tried with DHCP interface. With exacly the same configurations network works on olders kernels and don't work on the newest

From: Jarek Poplawski <[email-masked]>
Date: Sat, 04 Oct 2008 19:57:07 +0200

Andrew Morton wrote, On 10/04/2008 12:33 PM:

> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
> 
> On Thu, 25 Sep 2008 17:35:20 -0700 (PDT) [email-masked] wrote:
> 
>> http://bugzilla.kernel.org/show_bug.cgi?id=11649
>>
>>            Summary: Network don't work with SiS 900 PCI Fast Ethernet.
>>                     Mainly, I tried with DHCP interface. With exacly the
>>                     same configurations network works on olders kernels and
>>                     don't work on the newest
>>            Product: Drivers
>>            Version: 2.5
>>      KernelVersion: 2.6.26.5
>>           Platform: All
>>         OS/Version: Linux
>>               Tree: Mainline
>>             Status: NEW
>>           Severity: low
>>           Priority: P1
>>          Component: Network
>>         AssignedTo: [email-masked]
>>         ReportedBy: [email-masked]
>>
>>
>> Latest working kernel version: 2.6.23.x
>> Earliest failing kernel version: 2.6.24.x

I guess it's because of this missing MAC address (as seen in your dmesg):

eth0: SiS 900 PCI Fast Ethernet at 0xd400, IRQ 10, 00:00:00:00:00:00

Jarek P.

PS: there was a change of kernel policy wrt. this.